Bug 689766 - Warning messages in RHEL 6 kickstart through RHN Satellite v5.4
Warning messages in RHEL 6 kickstart through RHN Satellite v5.4
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
540
All Linux
high Severity high
: ---
: ---
Assigned To: Tomas Lestach
Pavel Studeník
:
Depends On:
Blocks: sat550-blockers sat550-post-ga/sat550-test-blockers
  Show dependency treegraph
 
Reported: 2011-03-22 08:00 EDT by Ashish Humbe
Modified: 2012-10-09 05:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: spacewalk-java-1.7.54-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-09 05:19:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ashish Humbe 2011-03-22 08:00:07 EDT
Description of problem:
We see following warning message while kickstarting RHEL 6 machine from satellite v 5.4 : 

WARNING /usr/lib/python2.6/site-packages/pykickstart/parser.py:733: DeprecationWarning: Script does not end with %end.  This syntax has been deprecated.  It may be removed from future releases, which will result in a fatal error from kickstart.  Please modify your kickstart file to use this updated syntax.#012  warnings.warn(_("%s does not end with %%end.  This syntax has been deprecated.  It may be removed from future releases, which will result in a fatal error from kickstart.  Please modify your kickstart file to use this updated syntax.") % _("Script"), DeprecationWarning)

Version-Release number of selected component (if applicable):
Red Hat Network Satellite v 5.4 

How reproducible:
Always

Steps to Reproduce:
1. Create RHEL 6 kickstart profile on satellite v 5.4 
2. Try to install a system via same kickstart 
3. Check the anaconda.log 


Actual results:
The anaconda log shows following warning messages :
WARNING /usr/lib/python2.6/site-packages/pykickstart/parser.py:733: DeprecationWarning: Script does not end with %end.  This syntax has been deprecated.  It may be removed from future releases, which will result in a fatal error from kickstart.  Please modify your kickstart file to use this updated syntax.#012  warnings.warn(_("%s does not end with %%end.  This syntax has been deprecated.  It may be removed from future releases, which will result in a fatal error from kickstart.  Please modify your kickstart file to use this updated syntax.") % _("Script"), DeprecationWarning)
INFO    Running kickstart %%pre script(s)

Expected results: 
There should not be an warning messages thrown by anaconda. 

Additional info: 
Anaconda in RHEL 6 expect %end for every  %pre and %post script section. When satellite v 5.4 creates kickstart for RHEL 6 then the %end is not added for any of the %pre and %post section. It seems this is causing the warning message. 

I downloaded the kickstart created by satellite and added %end manually then kickstarted the RHEL 6 machine and this time there was no such warning message related to %end.
Comment 2 Tomas Lestach 2012-05-10 08:47:20 EDT
I believe, this has been fixed in upstream by Bug 639999. Switching to MODIFIED.
Comment 3 Tomas Lestach 2012-05-22 10:02:41 EDT
Moving ON_QA to go through QA

Note You need to log in before you can comment on or make changes to this bug.